# Generated by Django 2.2 on 2019-04-06 17:45

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('goods', '0004_auto_20190406_1545'),
    ]

    operations = [
        migrations.CreateModel(
            name='Smartphone',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256)),
            ],
        ),
        migrations.CreateModel(
            name='SmartphoneLink',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('goods', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='goods.Goods')),
                ('smartphone', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='goods_smartphone.Smartphone')),
            ],
            options={
                'unique_together': {('goods', 'smartphone')},
            },
        ),
    ]
